Skip to main content
`Ctrl`+`K`

# PCISSetUseStiffnessScaling

Tells `PCIS` to construct partition of unity using the local matrices’ diagonal entries

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCISSetUseStiffnessScaling(PC pc, PetscBool use)

Logically Collective

## Input Parameters

- pc - the preconditioning context

- use - whether or not it should use matrix diagonal to build partition of unity.

## See Also

KSP: Linear System Solvers, `PCBDDC`, `PCNN`, `PCISSetSubdomainDiagonalScaling()`, `PCISScatterArrayNToVecB()`, `PCISSetSubdomainScalingFactor()`, `PCISReset()`, `PCISInitialize()`, `PCISApplyInvSchur()`, `PCISApplySchur()`

## Level

intermediate

## Location

src/ksp/pc/impls/is/pcis.c

## Implementations

PCISSetUseStiffnessScaling_IS() in src/ksp/pc/impls/is/pcis.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages